Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 74018 - Allow closing tabs with middle-mouse click
Allow closing tabs with middle-mouse click
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
5.x
All All
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
: A11Y, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 09:48 UTC by _ moser
Modified: 2008-12-22 11:49 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch fixing the problem (2.64 KB, application/octet-stream)
2006-09-29 15:02 UTC, _ moser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ moser 2006-03-27 09:48:36 UTC
It's probably not a big deal to enable closing tabs by clicking on it with the
middle mouse-button. Targeting this small x-button sometimes drives me crazy,
esp. when closing a bunch of tabs. 

Frank-Michael
Comment 1 Marian Petras 2006-03-27 11:23:19 UTC
I have added the USABILITY keyword.

I tend to also add the A11Y keyword but as I understand it, it is only for
issues related to the US act asking that all new software is accessible.

Still, I consider it an accessibility problem - the need to target a small
square is pretty difficult for people with not so good eyesight.
Comment 2 _ moser 2006-09-29 15:02:08 UTC
Created attachment 34706 [details]
Patch fixing the problem
Comment 3 _ moser 2006-09-29 15:02:46 UTC
I have attached a small patch which fixes the problem. Please consider to
incorporate this patch into the main trunk, then in my eyes the issue could be
resolved as fixed.
Comment 4 David Simonek 2006-10-03 17:55:05 UTC
Thanks for a patch, good work, I really appreciate it.

integrated into main trunk:

Checking in AbstractTabCellRenderer.java;
/cvs/core/swing/tabcontrol/src/org/netbeans/swing/tabcontrol/plaf/AbstractTabCellRenderer.java,v
 <--  AbstractTabCellRenderer.java
new revision: 1.9; previous revision: 1.8
Comment 5 David Simonek 2006-10-03 17:55:58 UTC
FYI, size of x button will be solved in separate reports, thanks.
Comment 6 _ moser 2008-07-31 09:35:40 UTC
It should be possible to close all kind of tabs with a middle-mouse-click. Currently this only works for documents in
the editor but it should work esp. for tabs in the output window, too.
Comment 7 David Simonek 2008-10-22 13:48:26 UTC
moser please file new issue for output tabs in core/output IZ component. Output tabs differs from window system ones and
has to be treated specifically, thank you.
Comment 8 _ moser 2008-10-22 14:01:07 UTC
Don't know why to make noise by closing this issue and opening another one. This issueis exactly about closing tabs, not
only about closing editor tabs. So it was most appropriate. But here you are:
http://www.netbeans.org/issues/show_bug.cgi?id=151017
Comment 9 David Simonek 2008-10-22 14:30:36 UTC
Thanks. output tabs are different implementation owned by other engineer and I don't know much about it, that's the reason.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo